Portal Home > Knowledgebase > FAQ - Biežāk uzdotie jautājumi > Kā izmantot dažādas PHP versijas vienā hostinga kontā.

Kā izmantot dažādas PHP versijas vienā hostinga kontā.

Izveidojiet .htaccess failu direktorijā, kurā vēlaties izmantot atšķirīgu PHP versiju no tās, kas izvēlēta no cPanel -> Select PHP Selector

Pievienojiet šādas rindas (piemērs ar PHP 7.0):



<FilesMatch "\.(php4|php5|php3|php2|php|phtml)$">
SetHandler application/x-httpd-ea-php70-lsphp
</FilesMatch>

 

Attiecīgi to izmainiet atkarībā no nepieciešamās PHP versijas:

SetHandler application/x-httpd-ea-php52-lsphp - PHP 5.2
SetHandler application/x-httpd-ea-php53-lsphp - PHP 5.3
SetHandler application/x-httpd-ea-php54-lsphp - PHP 5.4
SetHandler application/x-httpd-ea-php55-lsphp - PHP 5.5
SetHandler application/x-httpd-ea-php56-lsphp - PHP 5.6
SetHandler application/x-httpd-ea-php70-lsphp - PHP 7.0
SetHandler application/x-httpd-ea-php71-lsphp - PHP 7.1
SetHandler application/x-httpd-ea-php72-lsphp - PHP 7.2
SetHandler application/x-httpd-ea-php73-lsphp - PHP 7.3


Also Read